import { requests } from './index';
const PREFIX = 'api-marketing/';
import config from '@/config';
export const url = config.api + PREFIX;

// 卡券 - e袋洗 -- 列表/新增/删除 复用card的，些许参数不一样

// 对账列表
export const edxOrderList = params => requests(PREFIX + 'edx-order-list', params);
// 获取子账户可选列表
export const openEdxStoreSearch = params => requests(PREFIX + 'open-edx-store-search', params);
// 保存子账户
export const openEdxStore = params => requests(PREFIX + 'open-edx-store', params);
// 订单详情
export const edxOrderDetail = params => requests(PREFIX + 'edx-order-detail', params);
// e袋洗 商品使用类目
export const getEdxCategory = params => requests(PREFIX + 'edx-category', params);
// 导出卡券
export const exportEdxOrderCsv = config.api + PREFIX + 'edx-order-csv';
// e袋洗 门店列表
export const getEdxStoreList = params => requests(PREFIX + 'edx-store-list', params);
// e袋洗 获取门店余额
export const getEdxStoreYue = params => requests(PREFIX + 'edx-store-yue', params);
